digiKam Developer Documentation: Digikam::LabelsSideBarWidget Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::LabelsSideBarWidget Class Reference
Inheritance diagram for Digikam::LabelsSideBarWidget:

## Public Member Functions
| LabelsSideBarWidget (QWidget *const parent)
void | applySettings () override
| This method is invoked when the application settings should be (re-) applied to this widget.
void | changeAlbumFromHistory (const QList< Album * > &album) override
| This is called on this widget when the history requires to move back to the specified album.
void | doLoadState () override
| Implement this hook method for state loading.
void | doSaveState () override
| Implement this hook method for state saving.
const QString | getCaption () override
| Must be implemented to return the title of this sidebar's tab.
const QIcon | getIcon () override
| Must be implemented and return the icon that shall be visible for this sidebar widget.
LabelsTreeView * | labelsTree ()
QHash< LabelsTreeView::Labels, QList< int > > | selectedLabels ()
void | setActive (bool active) override
| This method is called if the visible sidebar widget is changed.
Public Member Functions inherited from Digikam::SidebarWidget
| SidebarWidget (QWidget *const parent)
| Constructor.
| ~SidebarWidget () override=default
| Destructor.
Public Member Functions inherited from Digikam::StateSavingObject
| StateSavingObject (QObject *const host)
| Constructor.
virtual | ~StateSavingObject ()
| Destructor.
StateSavingDepth | getStateSavingDepth () const
| Returns the depth used for state saving or loading.
void | loadState ()
| Invokes loading the class' state.
void | saveState ()
| Invokes saving the class' state.
virtual void | setConfigGroup (const KConfigGroup &group)
| Sets a dedicated config group that will be used to store and reload the state from.
virtual void | setEntryPrefix (const QString &prefix)
| Define a prefix that will be used for every entry in the config group.
void | setStateSavingDepth (const StateSavingDepth depth)
| Sets the depth used for state saving or loading.

## Additional Inherited Members
Public Types inherited from Digikam::StateSavingObject
enum | StateSavingDepth { INSTANCE , DIRECT_CHILDREN , RECURSIVE }
| This enum defines the "depth" of the StateSavingObject::loadState() and StateSavingObject::saveState() methods. More...
Signals inherited from Digikam::SidebarWidget
void | requestActiveTab (SidebarWidget *)
| This signal can be emitted if this sidebar widget wants to be the one that is active.
void | signalNotificationError (const QString &message, int type)
| To dispatch error message to temporized pop-up notification widget hosted with icon-view.
Protected Member Functions inherited from Digikam::StateSavingObject
QString | entryName (const QString &base) const
| Always use this method to create config group entry names.
KConfigGroup | getConfigGroup () const
| Returns the config group that must be used for state saving and loading.

## Member Function Documentation

## ◆ applySettings()

void Digikam::LabelsSideBarWidget::applySettings | ( |  | ) |
| overridevirtual

Implements Digikam::SidebarWidget.

## ◆ changeAlbumFromHistory()

void Digikam::LabelsSideBarWidget::changeAlbumFromHistory | ( | const QList< Album * > & | album | ) |
| overridevirtual

Implements Digikam::SidebarWidget.

## ◆ doLoadState()

void Digikam::LabelsSideBarWidget::doLoadState | ( |  | ) |
| overridevirtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.

## ◆ doSaveState()

void Digikam::LabelsSideBarWidget::doSaveState | ( |  | ) |
| overridevirtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.

## ◆ getCaption()

const QString Digikam::LabelsSideBarWidget::getCaption | ( |  | ) |
| overridevirtual

Returns
  localized title string

Implements Digikam::SidebarWidget.

## ◆ getIcon()

const QIcon Digikam::LabelsSideBarWidget::getIcon | ( |  | ) |
| overridevirtual

Returns
  pixmap icon

Implements Digikam::SidebarWidget.

## ◆ setActive()

void Digikam::LabelsSideBarWidget::setActive | ( | bool | active | ) |
| overridevirtual

Parameters

  active | if true, this widget is the new active widget, if false another widget is active

Implements Digikam::SidebarWidget.